## LassoLibAuthnResponse

LassoLibAuthnResponse — <lib:AuthnResponse>

## Functions

LassoNode * | lasso_lib_authn_response_new ()

## Types and Values

struct | LassoLibAuthnResponse

## Description

Figure 6. Schema fragment for lib:AuthnResponse

    <xs:element name="AuthnResponse" type="AuthnResponseType"/>
    <xs:complexType name="AuthnResponseType">
      <xs:complexContent>
        <xs:extension base="samlp:ResponseType">
          <xs:sequence>
            <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
    	<xs:element ref="ProviderID"/>
    	<xs:element ref="RelayState" minOccurs="0"/>
          </xs:sequence>
          <xs:attribute ref="consent" use="optional"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

    <xs:element name="ProviderID" type="md:entityIDType"/>
    <xs:element name="RelayState" type="xs:string"/>

## Functions

### lasso_lib_authn_response_new ()

    LassoNode *
    lasso_lib_authn_response_new (char *providerID,
                                  LassoLibAuthnRequest *request);

Creates a new LassoLibAuthnResponse object.

#### Parameters

providerID | the identity provider ID |
request | the LassoLibAuthnRequest it is a response to |

#### Returns

a newly created LassoLibAuthnResponse object

## Types and Values

### struct LassoLibAuthnResponse

    struct LassoLibAuthnResponse {
    	LassoSamlpResponse parent;

    	/* <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *Extension; /* of xmlNode* */
    	/* <xs:element ref="ProviderID"/> */
    	char *ProviderID;
    	/* <xs:element ref="RelayState" minOccurs="0"/> */
    	char *RelayState;
    	/* <xs:attribute ref="consent" use="optional"/> */
    	char *consent;
    };